function Trades_LoadLocale(locale)
	local L = { -- Local to the function so it gets garbage collected. This function is only called once.
		enUS = {
			TRADES_TEXT_LOAD_DEFAULT = 'Click to clear the SavedVariables and reload the UI';
			TRADES_TEXT_ADD_SPELL = "Add a spell or ability.";
			TRADES_TEXT_SPELL_ADDED = "%s has been added, you must reload the interface for it to show up on the TradesBar";
			TRADES_TEXT_ADD_SPELL_TOOLTIP = 'Add a Spell to the TradesBar';
			TRADES_TEXT_TOGGLE = 'Toggle ';
			TRADES_HELP_MESSAGE1 = "To move the bar: Hold down the control key and right click the TradesBar or type '/tradesbar move'";
			TRADES_HELP_MESSAGE2 = "To open the admin frame: Hold down the shift key and right click the TradesBar or type '/tradesbar admin'";
			TRADES_HELP_MESSAGE3 = "To hide/show the bar: type '/tradesbar toggle'";
			TRADES_ADD_SPELL_BUTTON1 = "Add a Spell or Item";
			TRADES_ADD_SPELL_BUTTON2 = "by dropping it here";
			TRADES_TEXT_TOGGLE_MOUNTS = "Toggle Mounts";
			TRADES_TEXT_TOGGLE_CRITTERS = "Toggle Mini-Pets";
			TRADES_TEXT_DISABLE_MOUNTS = "Hide all Mounts";
			TRADES_TEXT_DISABLE_CRITTERS = "Hide all Mini-Pets";
			
			TradesBar_Config = 'TradesBar Config';
			TradesBar_Main_Bar_Setup = 'Main Bar Setup';
			TradesBar_Switch_Order = 'Switch Order';
			TradesBar_Direction = 'Direction';
			TradesBar_Hide_Bar = 'Hide Bar';
			TradesBar_Custom = 'Custom';
			TradesBar_Built_In = 'Built-In';
			TradesBar_Defaults = 'Defaults';
			TradesBar_Toggle_Trades = 'Enable/Disable Trades';
			TradesBar_ScaleText = 'TradesBar Scale';
			TRADES_BAR_DROP = 'Drop Spell or Item Here';
		},
		zhTW = {
			TRADES_TEXT_ADD_SPELL = "增加法術或技能至TradesBar (**請正確輸入完整的法術或技能的名稱**)";
			TRADES_TEXT_SPELL_ADDED = "%s 已被加入至TradesBar, 需重新載入插件後才可以開始使用新增的法術/技能按鈕";
			TRADES_TEXT_ADD_SPELL_TOOLTIP = '增加法術或技能至TradesBar';
			TRADES_TEXT_TOGGLE = '切換 ';
			TRADES_HELP_MESSAGE1 = "移動TradesBar: 按住Ctrl鍵不放並使用滑鼠右鍵拖曳";
			TRADES_HELP_MESSAGE2 = "開啟設定視窗: 按住Shift鍵不放並在Bar上按下滑鼠右鍵, 或輸入快速指令'/tradesbar admin'";
			TRADES_HELP_MESSAGE3 = "隱藏/顯示TradesBar: 輸入快速指令'/tradesbar toggle'";
		},
		deDE = {
			TRADES_TEXT_LOAD_DEFAULT = 'dr\195\188cken um alle Einstellungen zur\195\188ck zu setzen und das Interface (UI) neu zu laden';
			TRADES_TEXT_ADD_SPELL = "Zauberspruch oder F\195\164higkeit hinzuf\195\188gen";
			TRADES_TEXT_SPELL_ADDED = "%s wurde hinzu gef\195\188gt; zum Aktualisieren der TradesBar muss das Interface neu geladen werden";
			TRADES_TEXT_ADD_SPELL_TOOLTIP = 'Zauberspruch zur TradesBar hinzuf\195\188gen';
			TRADES_TEXT_TOGGLE = 'Umschalten ';
			TRADES_HELP_MESSAGE1 = "Leiste verschieben: Mit [Strg]+[Rechtsklick] die TradesBar ziehen";
			TRADES_HELP_MESSAGE2 = "Einstellungen \195\182ffnen: [Shift]+[Rechtsklick] auf die TradesBar oder Chatbefehl '/tradesbar config'";
			TRADES_HELP_MESSAGE3 = "Leiste an-/ausschalten: Chatbefehl '/tradesbar toggle'";
		},
		zhCN = {
			TRADES_TEXT_LOAD_DEFAULT = '点击 来清除配置信息并且重载界面';
			TRADES_TEXT_ADD_SPELL = "添加一个法术技能.";
			TRADES_TEXT_SPELL_ADDED = "%s 已添加, 你需要重载界面才能在TradeBar上显示它";
			TRADES_TEXT_ADD_SPELL_TOOLTIP = '添加一个法术技能到 TradesBar';
			TRADES_TEXT_TOGGLE = '显示/隐藏 ';
			TRADES_HELP_MESSAGE1 = "移动动作条: 按住Ctrl键然后鼠标右键拖动";
			TRADES_HELP_MESSAGE2 = "打开管理界面: 按住Shift键右键单击TradesBar或者输入 '%s'";
			TRADES_HELP_MESSAGE3 = "隐藏/显示TradesBar: 输入 '%s'";
			TRADES_ADD_SPELL_BUTTON1 = "把技能或者物品拖动";
			TRADES_ADD_SPELL_BUTTON2 = "到 这里 来完成添加";
			TRADES_TEXT_TOGGLE_MOUNTS = "显示/隐藏坐骑";
			TRADES_TEXT_TOGGLE_CRITTERS = "显示/隐藏小伙伴";
			TRADES_TEXT_DISABLE_MOUNTS = "隐藏所有坐骑";
			TRADES_TEXT_DISABLE_CRITTERS = "隐藏所有小伙伴";
		
			TradesBar_Config = "TradesBar设置";
			TradesBar_Main_Bar_Setup = "主面板设置";
			TradesBar_Switch_Order = "动作条反向";
			TradesBar_Direction = "方向";
			TradesBar_Hide_Bar = "隐藏";
			TradesBar_Custom = "自定义";
			TradesBar_Built_In = "支持";
			TradesBar_Defaults = "默认";
			TradesBar_Toggle_Trades = "启用/禁用 TradeBar";
			TradesBar_ScaleText = "TradesBar缩放";
			TRADES_BAR_DROP = "把法术或物品拖到这";
		},
	}
	-- Seems kinda redundant to do this twice, but it ensures that all variables are accounted for
	-- get enUS first (defaults)
	for var, value in pairs(L["enUS"]) do
		_G[var] = value
	end
	-- overwrite with locales from above while leaving the default ones alone.
	if L[locale] then
		for var, value in pairs(L[locale]) do
			_G[var] = value
		end
	end	
	-- We don't need this anymore, say b'bye
	Trades_LoadLocale = nil
end
